function init(hero) {
    hero.setName("Hiccup/How to Train Your Dragon 2");
    hero.setTier(7);
    
    hero.setHelmet("item.superhero_armor.piece.helmet");
    hero.setChestplate("item.superhero_armor.piece.chestpiece");
    hero.setLeggings("item.superhero_armor.piece.pants");
    hero.setBoots("item.superhero_armor.piece.boots");
    
    hero.addPowers("tmfp:dragon_gear");
    hero.addAttribute("FALL_RESISTANCE", 8.0, 0);
    hero.addAttribute("PUNCH_DAMAGE", 0.5, 0);
    
    hero.addKeyBind("SHIELD", "Flame Sword", 1);

    hero.addAttributeProfile("SHIELD", shieldProfile);
    hero.setAttributeProfile(getProfile);
    hero.setDamageProfile(getProfile);
    hero.addDamageProfile("SHIELD", {
        "types": {
            "SHARP": 1.0,
            "FIRE": 0.4
        },
        "properties": {
            "HEAT_TRANSFER": 40,
            "IGNITE": 2
        }
    });
}
function getDamageProfile(entity) {
    return entity.getData("fiskheroes:shield") > 0 ? "SHIELD" : null;
}

function shieldProfile(profile) {
    profile.inheritDefaults();
    profile.addAttribute("PUNCH_DAMAGE", 20.0, 0);
}

function getProfile(entity) {
    if (entity.getData("fiskheroes:shield")) {
        return "SHIELD";
    }
    return entity.getData("fiskheroes:blade") ? "null" : null;
}